Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Aurora Corazon Benig applied on Indeed
From: "Aurora Corazon Benig" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Fri, 6 Jan 2023 08:47:04 -0600 (CST)

Hi! I'm sorry I need to ask this, is it just only for 10mins.? Because if its not, can I request for a rechedule because my son has a high fever right now, its just right after we ate dinner. Thank you for understanding.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C7a7d969f-2f42-4f7c-b5cd-dc4a0e32a239%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.